@Echo off
REM Bypass Teamcenter site preferences
REM How to bypass Teamcenter site preferences, e.g. for loading customizations:

rem Usage Example:
rem Call  "#10-JobScripts_DP#\TcTools\TcSitePreferencesBypass.cmd"
rem Call  "%JobScripts_DP%\TcTools\TcSitePreferencesBypass.cmd"

SET TC_PREFERENCES_OVERRIDE_FROM_FILE=TRUE
SET TC_PREFERENCES_OVERLAY_FILE=%~dp0
SET TC_PREFERENCES_OVERLAY_FILE=%TC_PREFERENCES_OVERLAY_FILE:~0,-1%\TcSitePreferencesBypass.xml

Echo.
Echo ---------------------------------------------------------------------------
Echo Bypass Teamcenter site preferences
Echo via: %~nx0
Echo TC_PREFERENCES_OVERRIDE_FROM_FILE:[%TC_PREFERENCES_OVERRIDE_FROM_FILE%]
Echo File:
Echo  [%TC_PREFERENCES_OVERLAY_FILE%]
rem Type "%TC_PREFERENCES_OVERLAY_FILE%"

